Subject: Re: patch review delays

From: Eric Wong <[email-masked]>
Date: Fri, 25 Oct 2019 18:27:12 +0000

Alexei Starovoitov <[email-masked]> wrote:
> The last few days I've experienced long email delivery when I was not
> directly cc-ed on patches.
> Even right now I see some patches in patchworks, but not in my inbox.
> Few folks reported similar issues.
> In order for everyone to review the submissions appropriately
> I'll be applying only the most obvious patches and
> will let others sit in the patchworks a bit longer than usual.
> Sorry about that.
> Ironic that I'm using email to talk about email delays.
> 
> My understanding that these delays are not vger's fault.
> Some remediations may be used sporadically, but
> we need to accelerate our search of long term solutions.
> I think Daniel's l2md:
> https://git.kernel.org/pub/scm/linux/kernel/git/dborkman/l2md.git/
> is a great solution.
> It's on my todo list to give it a try,
> but I'm not sure how practical for every patch reviewer on this list
> to switch to that model.
> Thoughts?

If cloning git repos is too much work, You can subscribe to an
Atom feed of search results to paths or files you're interested
in using "dfn:" (diff-file-name) using your favorite feed
reader:

lore.kernel.org/lkml/?q=dfn:path/to/dir-or-file-youre-interested-in&x=A

Or drop the "&x=A" to get an HTML summary, or POST to that URL
with "&x=m" to download an mbox.

You can also search for multiple files at once by having dfn:foo
multiple times separated by "OR"

lore.kernel.org/lkml/?q=dfn:foo+OR+dfn:bar&x=A

https://lore.kernel.org/lkml/_/text/help/ has other prefixes
like "dfn:" which might be helpful for search.

For example, if you expected to be Cc-ed (or To-ed) and want to
double-check that your mail account got it, you can use the "c:"
or "tc:" prefixes with your name or address, too.